vsg: vsg::TranslationRotationScaleArrayState Class Reference

vsg 1.1.13 VulkanSceneGraph library

Loading...
Searching...
No Matches
vsg::TranslationRotationScaleArrayState Class Reference

TranslationRotationScaleArrayState is an ArrayState subclass for mapping vertex array data for instanced geometries. More...

`#include <ArrayState.h>`

Inheritance diagram for vsg::TranslationRotationScaleArrayState:
[legend]
Collaboration diagram for vsg::TranslationRotationScaleArrayState:
[legend]

## Public Member Functions
| TranslationRotationScaleArrayState (const TranslationRotationScaleArrayState &rhs)
| TranslationRotationScaleArrayState (const ArrayState &rhs)
ref_ptr< ArrayState > | cloneArrayState () override
| clone self
ref_ptr< ArrayState > | cloneArrayState (ref_ptr< ArrayState > arrayState) override
void | apply (const VertexInputState &vas) override
ref_ptr< const vec3Array > | vertexArray (uint32_t instanceIndex) override
void | apply (const BindGraphicsPipeline &bpg) override
void | apply (const InputAssemblyState &ias) override
void | apply (const Geometry &geometry) override
void | apply (const VertexDraw &vid) override
void | apply (const VertexIndexDraw &vid) override
void | apply (const InstanceNode &in) override
void | apply (const InstanceDraw &id) override
void | apply (const InstanceDrawIndexed &id) override
void | apply (const BindVertexBuffers &bvb) override
void | apply (const BufferInfo &bufferInfo) override
void | apply (const vec3Array &array) override
void | apply (const Data &array) override
virtual void | apply (const Object &)
virtual void | apply (const Objects &)
virtual void | apply (const External &)
virtual void | apply (const MipmapLayout &)
virtual void | apply (const stringValue &)
virtual void | apply (const wstringValue &)
virtual void | apply (const boolValue &)
virtual void | apply (const intValue &)
virtual void | apply (const uintValue &)
virtual void | apply (const floatValue &)
virtual void | apply (const doubleValue &)
virtual void | apply (const vec2Value &)
virtual void | apply (const vec3Value &)
virtual void | apply (const vec4Value &)
virtual void | apply (const dvec2Value &)
virtual void | apply (const dvec3Value &)
virtual void | apply (const dvec4Value &)
virtual void | apply (const bvec2Value &)
virtual void | apply (const bvec3Value &)
virtual void | apply (const bvec4Value &)
virtual void | apply (const ubvec2Value &)
virtual void | apply (const ubvec3Value &)
virtual void | apply (const ubvec4Value &)
virtual void | apply (const svec2Value &)
virtual void | apply (const svec3Value &)
virtual void | apply (const svec4Value &)
virtual void | apply (const usvec2Value &)
virtual void | apply (const usvec3Value &)
virtual void | apply (const usvec4Value &)
virtual void | apply (const ivec2Value &)
virtual void | apply (const ivec3Value &)
virtual void | apply (const ivec4Value &)
virtual void | apply (const uivec2Value &)
virtual void | apply (const uivec3Value &)
virtual void | apply (const uivec4Value &)
virtual void | apply (const mat2Value &)
virtual void | apply (const dmat2Value &)
virtual void | apply (const mat3Value &)
virtual void | apply (const dmat3Value &)
virtual void | apply (const mat4Value &)
virtual void | apply (const dmat4Value &)
virtual void | apply (const stringArray &)
virtual void | apply (const byteArray &)
virtual void | apply (const ubyteArray &)
virtual void | apply (const shortArray &)
virtual void | apply (const ushortArray &)
virtual void | apply (const intArray &)
virtual void | apply (const uintArray &)
virtual void | apply (const floatArray &)
virtual void | apply (const doubleArray &)
virtual void | apply (const vec2Array &)
virtual void | apply (const vec4Array &)
virtual void | apply (const dvec2Array &)
virtual void | apply (const dvec3Array &)
virtual void | apply (const dvec4Array &)
virtual void | apply (const bvec2Array &)
virtual void | apply (const bvec3Array &)
virtual void | apply (const bvec4Array &)
virtual void | apply (const svec2Array &)
virtual void | apply (const svec3Array &)
virtual void | apply (const svec4Array &)
virtual void | apply (const ivec2Array &)
virtual void | apply (const ivec3Array &)
virtual void | apply (const ivec4Array &)
virtual void | apply (const ubvec2Array &)
virtual void | apply (const ubvec3Array &)
virtual void | apply (const ubvec4Array &)
virtual void | apply (const usvec2Array &)
virtual void | apply (const usvec3Array &)
virtual void | apply (const usvec4Array &)
virtual void | apply (const uivec2Array &)
virtual void | apply (const uivec3Array &)
virtual void | apply (const uivec4Array &)
virtual void | apply (const mat4Array &)
virtual void | apply (const dmat4Array &)
virtual void | apply (const block64Array &)
virtual void | apply (const block128Array &)
virtual void | apply (const byteArray2D &)
virtual void | apply (const ubyteArray2D &)
virtual void | apply (const shortArray2D &)
virtual void | apply (const ushortArray2D &)
virtual void | apply (const intArray2D &)
virtual void | apply (const uintArray2D &)
virtual void | apply (const floatArray2D &)
virtual void | apply (const doubleArray2D &)
virtual void | apply (const vec2Array2D &)
virtual void | apply (const vec3Array2D &)
virtual void | apply (const vec4Array2D &)
virtual void | apply (const dvec2Array2D &)
virtual void | apply (const dvec3Array2D &)
virtual void | apply (const dvec4Array2D &)
virtual void | apply (const bvec2Array2D &)
virtual void | apply (const bvec3Array2D &)
virtual void | apply (const bvec4Array2D &)
virtual void | apply (const svec2Array2D &)
virtual void | apply (const svec3Array2D &)
virtual void | apply (const svec4Array2D &)
virtual void | apply (const ivec2Array2D &)
virtual void | apply (const ivec3Array2D &)
virtual void | apply (const ivec4Array2D &)
virtual void | apply (const ubvec2Array2D &)
virtual void | apply (const ubvec3Array2D &)
virtual void | apply (const ubvec4Array2D &)
virtual void | apply (const usvec2Array2D &)
virtual void | apply (const usvec3Array2D &)
virtual void | apply (const usvec4Array2D &)
virtual void | apply (const uivec2Array2D &)
virtual void | apply (const uivec3Array2D &)
virtual void | apply (const uivec4Array2D &)
virtual void | apply (const block64Array2D &)
virtual void | apply (const block128Array2D &)
virtual void | apply (const byteArray3D &)
virtual void | apply (const ubyteArray3D &)
virtual void | apply (const shortArray3D &)
virtual void | apply (const ushortArray3D &)
virtual void | apply (const intArray3D &)
virtual void | apply (const uintArray3D &)
virtual void | apply (const floatArray3D &)
virtual void | apply (const doubleArray3D &)
virtual void | apply (const vec2Array3D &)
virtual void | apply (const vec3Array3D &)
virtual void | apply (const vec4Array3D &)
virtual void | apply (const dvec2Array3D &)
virtual void | apply (const dvec3Array3D &)
virtual void | apply (const dvec4Array3D &)
virtual void | apply (const ubvec2Array3D &)
virtual void | apply (const ubvec3Array3D &)
virtual void | apply (const ubvec4Array3D &)
virtual void | apply (const block64Array3D &)
virtual void | apply (const block128Array3D &)
virtual void | apply (const Node &)
virtual void | apply (const Compilable &)
virtual void | apply (const Commands &)
virtual void | apply (const Group &)
virtual void | apply (const QuadGroup &)
virtual void | apply (const LOD &)
virtual void | apply (const PagedLOD &)
virtual void | apply (const StateGroup &)
virtual void | apply (const CullGroup &)
virtual void | apply (const CullNode &)
virtual void | apply (const Transform &)
virtual void | apply (const MatrixTransform &)
virtual void | apply (const CoordinateFrame &)
virtual void | apply (const DepthSorted &)
virtual void | apply (const Layer &)
virtual void | apply (const Bin &)
virtual void | apply (const Switch &)
virtual void | apply (const Light &)
virtual void | apply (const AmbientLight &)
virtual void | apply (const DirectionalLight &)
virtual void | apply (const PointLight &)
virtual void | apply (const SpotLight &)
virtual void | apply (const InstrumentationNode &)
virtual void | apply (const RegionOfInterest &)
virtual void | apply (const Text &)
virtual void | apply (const TextGroup &)
virtual void | apply (const TextTechnique &)
virtual void | apply (const TextLayout &)
virtual void | apply (const Animation &)
virtual void | apply (const AnimationGroup &)
virtual void | apply (const AnimationSampler &)
virtual void | apply (const JointSampler &)
virtual void | apply (const MorphSampler &)
virtual void | apply (const TransformSampler &)
virtual void | apply (const CameraSampler &)
virtual void | apply (const Joint &)
virtual void | apply (const ImageInfo &)
virtual void | apply (const ImageView &)
virtual void | apply (const Image &)
virtual void | apply (const Command &)
virtual void | apply (const StateCommand &)
virtual void | apply (const StateSwitch &)
virtual void | apply (const CommandBuffer &)
virtual void | apply (const RenderPass &)
virtual void | apply (const BindDescriptorSet &)
virtual void | apply (const BindDescriptorSets &)
virtual void | apply (const BindViewDescriptorSets &)
virtual void | apply (const Descriptor &)
virtual void | apply (const DescriptorBuffer &)
virtual void | apply (const DescriptorImage &)
virtual void | apply (const DescriptorSet &)
virtual void | apply (const BindIndexBuffer &)
virtual void | apply (const BindComputePipeline &)
virtual void | apply (const BindRayTracingPipeline &)
virtual void | apply (const GraphicsPipeline &)
virtual void | apply (const ComputePipeline &)
virtual void | apply (const RayTracingPipeline &)
virtual void | apply (const GraphicsPipelineState &)
virtual void | apply (const ShaderStage &)
virtual void | apply (const TessellationState &)
virtual void | apply (const ViewportState &)
virtual void | apply (const RasterizationState &)
virtual void | apply (const MultisampleState &)
virtual void | apply (const DepthStencilState &)
virtual void | apply (const ColorBlendState &)
virtual void | apply (const DynamicState &)
virtual void | apply (const ResourceHints &)
virtual void | apply (const Draw &)
virtual void | apply (const DrawIndexed &)
virtual void | apply (const ClearAttachments &)
virtual void | apply (const ClearColorImage &)
virtual void | apply (const ClearDepthStencilImage &)
virtual void | apply (const QueryPool &)
virtual void | apply (const ResetQueryPool &)
virtual void | apply (const BeginQuery &)
virtual void | apply (const EndQuery &)
virtual void | apply (const WriteTimestamp &)
virtual void | apply (const CopyQueryPoolResults &)
virtual void | apply (const DrawMeshTasks &)
virtual void | apply (const DrawMeshTasksIndirect &)
virtual void | apply (const DrawMeshTasksIndirectCount &)
virtual void | apply (const UIEvent &)
virtual void | apply (const WindowEvent &)
virtual void | apply (const ExposeWindowEvent &)
virtual void | apply (const ConfigureWindowEvent &)
virtual void | apply (const CloseWindowEvent &)
virtual void | apply (const FocusInEvent &)
virtual void | apply (const FocusOutEvent &)
virtual void | apply (const KeyEvent &)
virtual void | apply (const KeyPressEvent &)
virtual void | apply (const KeyReleaseEvent &)
virtual void | apply (const PointerEvent &)
virtual void | apply (const ButtonPressEvent &)
virtual void | apply (const ButtonReleaseEvent &)
virtual void | apply (const MoveEvent &)
virtual void | apply (const TouchEvent &)
virtual void | apply (const TouchDownEvent &)
virtual void | apply (const TouchUpEvent &)
virtual void | apply (const TouchMoveEvent &)
virtual void | apply (const ScrollWheelEvent &)
virtual void | apply (const TerminateEvent &)
virtual void | apply (const FrameEvent &)
virtual void | apply (const ShaderCompileSettings &)
virtual void | apply (const Camera &)
virtual void | apply (const CommandGraph &)
virtual void | apply (const SecondaryCommandGraph &)
virtual void | apply (const RenderGraph &)
virtual void | apply (const View &)
virtual void | apply (const Viewer &)
virtual void | apply (const ViewMatrix &)
virtual void | apply (const LookAt &)
virtual void | apply (const LookDirection &)
virtual void | apply (const RelativeViewMatrix &)
virtual void | apply (const TrackingViewMatrix &)
virtual void | apply (const ProjectionMatrix &)
virtual void | apply (const Perspective &)
virtual void | apply (const Orthographic &)
virtual void | apply (const RelativeProjection &)
virtual void | apply (const EllipsoidPerspective &)
virtual void | apply (const FrameStamp &)
Public Member Functions inherited from vsg::Inherit< ArrayState, TranslationRotationScaleArrayState >
| Inherit (Args &&... args)
std::size_t | sizeofObject () const noexcept override
const char * | className () const noexcept override
const std::type_info & | type_info () const noexcept override
bool | is_compatible (const std::type_info &type) const noexcept override
int | compare (const Object &rhs) const override
void | accept (Visitor &visitor) override
Public Member Functions inherited from vsg::ArrayState
| ArrayState (const ArrayState &rhs, const CopyOp &copyop={})
bool | getAttributeDetails (const VertexInputState &vas, uint32_t location, AttributeDetails &attributeDetails)
virtual void | applyArrays (uint32_t firstBinding, const BufferInfoList &in_arrays)
virtual void | applyArrays (uint32_t firstBinding, const DataList &in_arrays)
virtual void | applyArray (uint32_t binding, const ref_ptr< BufferInfo > &in_array)
virtual void | applyArray (uint32_t binding, const ref_ptr< Data > &in_array)
Public Member Functions inherited from vsg::Inherit< ConstVisitor, ArrayState >
| Inherit (Args &&... args)
std::size_t | sizeofObject () const noexcept override
const char * | className () const noexcept override
const std::type_info & | type_info () const noexcept override
bool | is_compatible (const std::type_info &type) const noexcept override
int | compare (const Object &rhs) const override
void | accept (Visitor &visitor) override
Public Member Functions inherited from vsg::ConstVisitor
| ConstVisitor (const ConstVisitor &rhs, const CopyOp &copyop={})
virtual Instrumentation * | getInstrumentation ()
Public Member Functions inherited from vsg::Object
| Object (const Object &object, const CopyOp &copyop={})
Object & | operator= (const Object &)
template<class T>
T * | cast ()
template<class T>
const T * | cast () const
virtual ref_ptr< Object > | clone (const CopyOp &copyop={}) const
virtual void | traverse (Visitor &)
virtual void | accept (ConstVisitor &visitor) const
virtual void | traverse (ConstVisitor &) const
virtual void | accept (RecordTraversal &visitor) const
virtual void | traverse (RecordTraversal &) const
virtual void | read (Input &input)
virtual void | write (Output &output) const
void | ref () const noexcept
void | unref () const noexcept
void | unref_nodelete () const noexcept
unsigned int | referenceCount () const noexcept
template<typename T>
void | setValue (const std::string &key, const T &value)
void | setValue (const std::string &key, const char *value)
| specialization of setValue to handle passing C strings
template<typename T>
bool | getValue (const std::string &key, T &value) const
| get specified value type, return false if value associated with key is not assigned or is not the correct type
void | setObject (const std::string &key, ref_ptr< Object > object)
| assign an Object associated with key
Object * | getObject (const std::string &key)
| get Object pointer associated with key, return nullptr if no object associated with key has been assigned
const Object * | getObject (const std::string &key) const
| get const Object pointer associated with key, return nullptr if no object associated with key has been assigned
template<class T>
T * | getObject (const std::string &key)
| get object pointer of specified type associated with key, return nullptr if no object associated with key has been assigned
template<class T>
const T * | getObject (const std::string &key) const
| get const object pointer of specified type associated with key, return nullptr if no object associated with key has been assigned
ref_ptr< Object > | getRefObject (const std::string &key)
| get ref_ptr<Object> associated with key, return nullptr if no object associated with key has been assigned
ref_ptr< const Object > | getRefObject (const std::string &key) const
| get ref_ptr<const Object> pointer associated with key, return nullptr if no object associated with key has been assigned
template<class T>
ref_ptr< T > | getRefObject (const std::string &key)
| get ref_ptr<T> of specified type associated with key, return nullptr if no object associated with key has been assigned
template<class T>
const ref_ptr< const T > | getRefObject (const std::string &key) const
| get ref_ptr<const T> of specified type associated with key, return nullptr if no object associated with key has been assigned
void | removeObject (const std::string &key)
| remove meta object or value associated with key
Auxiliary * | getOrCreateAuxiliary ()
Auxiliary * | getAuxiliary ()
const Auxiliary * | getAuxiliary () const

## Public Attributes
uint32_t | translation_attribute_location = 7
uint32_t | rotation_attribute_location = 8
uint32_t | scale_attribute_location = 9
AttributeDetails | translationAttribute
AttributeDetails | rotationAttribute
AttributeDetails | scaleAttribute
Public Attributes inherited from vsg::ArrayState
std::vector< dmat4 > | localToWorldStack
std::vector< dmat4 > | worldToLocalStack
VkPrimitiveTopology | topology = VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST
uint32_t | vertex_attribute_location = 0
AttributeDetails | vertexAttribute
ref_ptr< const vec3Array > | vertices
ref_ptr< vec3Array > | proxy_vertices
DataList | arrays
Public Attributes inherited from vsg::ConstVisitor
Mask | traversalMask = MASK_ALL
Mask | overrideMask = MASK_OFF

## Additional Inherited Members
Static Public Member Functions inherited from vsg::Inherit< ArrayState, TranslationRotationScaleArrayState >
static ref_ptr< TranslationRotationScaleArrayState > | create (Args &&... args)
static ref_ptr< TranslationRotationScaleArrayState > | create_if (bool flag, Args &&... args)
Static Public Member Functions inherited from vsg::Inherit< ConstVisitor, ArrayState >
static ref_ptr< ArrayState > | create (Args &&... args)
static ref_ptr< ArrayState > | create_if (bool flag, Args &&... args)
Static Public Member Functions inherited from vsg::Object
static ref_ptr< Object > | create ()
static ref_ptr< Object > | create_if (bool flag)
static void * | operator new (std::size_t count)
| provide new and delete to enable custom memory management via the vsg::Allocator singleton, using the MEMORY_AFFINTY_OBJECTS
static void | operator delete (void *ptr)
Protected Member Functions inherited from vsg::Object
virtual void | _attemptDelete () const
void | setAuxiliary (Auxiliary *auxiliary)

## Detailed Description

TranslationRotationScaleArrayState is an ArrayState subclass for mapping vertex array data for instanced geometries.

## Member Function Documentation

## ◆ apply() [1/263]

virtual void vsg::ConstVisitor::apply | ( | const AmbientLight & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [2/263]

virtual void vsg::ConstVisitor::apply | ( | const Animation & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [3/263]

virtual void vsg::ConstVisitor::apply | ( | const AnimationGroup & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [4/263]

virtual void vsg::ConstVisitor::apply | ( | const AnimationSampler & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [5/263]

virtual void vsg::ConstVisitor::apply | ( | const BeginQuery & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [6/263]

virtual void vsg::ConstVisitor::apply | ( | const Bin & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [7/263]

virtual void vsg::ConstVisitor::apply | ( | const BindComputePipeline & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [8/263]

virtual void vsg::ConstVisitor::apply | ( | const BindDescriptorSet & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [9/263]

virtual void vsg::ConstVisitor::apply | ( | const BindDescriptorSets & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [10/263]

void vsg::ArrayState::apply | ( | const BindGraphicsPipeline & | bpg | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [11/263]

virtual void vsg::ConstVisitor::apply | ( | const BindIndexBuffer & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [12/263]

virtual void vsg::ConstVisitor::apply | ( | const BindRayTracingPipeline & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [13/263]

void vsg::ArrayState::apply | ( | const BindVertexBuffers & | bvb | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [14/263]

virtual void vsg::ConstVisitor::apply | ( | const BindViewDescriptorSets & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [15/263]

virtual void vsg::ConstVisitor::apply | ( | const block128Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [16/263]

virtual void vsg::ConstVisitor::apply | ( | const block128Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [17/263]

virtual void vsg::ConstVisitor::apply | ( | const block128Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [18/263]

virtual void vsg::ConstVisitor::apply | ( | const block64Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [19/263]

virtual void vsg::ConstVisitor::apply | ( | const block64Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [20/263]

virtual void vsg::ConstVisitor::apply | ( | const block64Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [21/263]

virtual void vsg::ConstVisitor::apply | ( | const boolValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [22/263]

void vsg::ArrayState::apply | ( | const BufferInfo & | bufferInfo | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [23/263]

virtual void vsg::ConstVisitor::apply | ( | const ButtonPressEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [24/263]

virtual void vsg::ConstVisitor::apply | ( | const ButtonReleaseEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [25/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [26/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [27/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [28/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [29/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [30/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [31/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [32/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [33/263]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [34/263]

virtual void vsg::ConstVisitor::apply | ( | const byteArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [35/263]

virtual void vsg::ConstVisitor::apply | ( | const byteArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [36/263]

virtual void vsg::ConstVisitor::apply | ( | const byteArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [37/263]

virtual void vsg::ConstVisitor::apply | ( | const Camera & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [38/263]

virtual void vsg::ConstVisitor::apply | ( | const CameraSampler & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [39/263]

virtual void vsg::ConstVisitor::apply | ( | const ClearAttachments & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [40/263]

virtual void vsg::ConstVisitor::apply | ( | const ClearColorImage & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [41/263]

virtual void vsg::ConstVisitor::apply | ( | const ClearDepthStencilImage & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [42/263]

virtual void vsg::ConstVisitor::apply | ( | const CloseWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [43/263]

virtual void vsg::ConstVisitor::apply | ( | const ColorBlendState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [44/263]

virtual void vsg::ConstVisitor::apply | ( | const Command & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [45/263]

virtual void vsg::ConstVisitor::apply | ( | const CommandBuffer & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [46/263]

virtual void vsg::ConstVisitor::apply | ( | const CommandGraph & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [47/263]

virtual void vsg::ConstVisitor::apply | ( | const Commands & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [48/263]

virtual void vsg::ConstVisitor::apply | ( | const Compilable & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [49/263]

virtual void vsg::ConstVisitor::apply | ( | const ComputePipeline & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [50/263]

virtual void vsg::ConstVisitor::apply | ( | const ConfigureWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [51/263]

virtual void vsg::ConstVisitor::apply | ( | const CoordinateFrame & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [52/263]

virtual void vsg::ConstVisitor::apply | ( | const CopyQueryPoolResults & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [53/263]

virtual void vsg::ConstVisitor::apply | ( | const CullGroup & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [54/263]

virtual void vsg::ConstVisitor::apply | ( | const CullNode & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [55/263]

void vsg::ArrayState::apply | ( | const Data & | array | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [56/263]

virtual void vsg::ConstVisitor::apply | ( | const DepthSorted & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [57/263]

virtual void vsg::ConstVisitor::apply | ( | const DepthStencilState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [58/263]

virtual void vsg::ConstVisitor::apply | ( | const Descriptor & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [59/263]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorBuffer & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [60/263]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorImage & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [61/263]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorSet & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [62/263]

virtual void vsg::ConstVisitor::apply | ( | const DirectionalLight & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [63/263]

virtual void vsg::ConstVisitor::apply | ( | const dmat2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [64/263]

virtual void vsg::ConstVisitor::apply | ( | const dmat3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [65/263]

virtual void vsg::ConstVisitor::apply | ( | const dmat4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [66/263]

virtual void vsg::ConstVisitor::apply | ( | const dmat4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [67/263]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [68/263]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [69/263]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [70/263]

virtual void vsg::ConstVisitor::apply | ( | const doubleValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [71/263]

virtual void vsg::ConstVisitor::apply | ( | const Draw & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [72/263]

virtual void vsg::ConstVisitor::apply | ( | const DrawIndexed & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [73/263]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasks & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [74/263]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasksIndirect & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [75/263]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasksIndirectCount & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [76/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [77/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [78/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [79/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [80/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [81/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [82/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [83/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [84/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [85/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [86/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [87/263]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [88/263]

virtual void vsg::ConstVisitor::apply | ( | const DynamicState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [89/263]

virtual void vsg::ConstVisitor::apply | ( | const EllipsoidPerspective & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [90/263]

virtual void vsg::ConstVisitor::apply | ( | const EndQuery & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [91/263]

virtual void vsg::ConstVisitor::apply | ( | const ExposeWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [92/263]

virtual void vsg::ConstVisitor::apply | ( | const External & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [93/263]

virtual void vsg::ConstVisitor::apply | ( | const floatArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [94/263]

virtual void vsg::ConstVisitor::apply | ( | const floatArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [95/263]

virtual void vsg::ConstVisitor::apply | ( | const floatArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [96/263]

virtual void vsg::ConstVisitor::apply | ( | const floatValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [97/263]

virtual void vsg::ConstVisitor::apply | ( | const FocusInEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [98/263]

virtual void vsg::ConstVisitor::apply | ( | const FocusOutEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [99/263]

virtual void vsg::ConstVisitor::apply | ( | const FrameEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [100/263]

virtual void vsg::ConstVisitor::apply | ( | const FrameStamp & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [101/263]

void vsg::ArrayState::apply | ( | const Geometry & | geometry | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [102/263]

virtual void vsg::ConstVisitor::apply | ( | const GraphicsPipeline & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [103/263]

virtual void vsg::ConstVisitor::apply | ( | const GraphicsPipelineState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [104/263]

virtual void vsg::ConstVisitor::apply | ( | const Group & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [105/263]

virtual void vsg::ConstVisitor::apply | ( | const Image & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [106/263]

virtual void vsg::ConstVisitor::apply | ( | const ImageInfo & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [107/263]

virtual void vsg::ConstVisitor::apply | ( | const ImageView & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [108/263]

void vsg::ArrayState::apply | ( | const InputAssemblyState & | ias | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [109/263]

void vsg::ArrayState::apply | ( | const InstanceDraw & | id | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [110/263]

void vsg::ArrayState::apply | ( | const InstanceDrawIndexed & | id | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [111/263]

void vsg::ArrayState::apply | ( | const InstanceNode & | in | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [112/263]

virtual void vsg::ConstVisitor::apply | ( | const InstrumentationNode & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [113/263]

virtual void vsg::ConstVisitor::apply | ( | const intArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [114/263]

virtual void vsg::ConstVisitor::apply | ( | const intArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [115/263]

virtual void vsg::ConstVisitor::apply | ( | const intArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [116/263]

virtual void vsg::ConstVisitor::apply | ( | const intValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [117/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [118/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [119/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [120/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [121/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [122/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [123/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [124/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [125/263]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [126/263]

virtual void vsg::ConstVisitor::apply | ( | const Joint & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [127/263]

virtual void vsg::ConstVisitor::apply | ( | const JointSampler & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [128/263]

virtual void vsg::ConstVisitor::apply | ( | const KeyEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [129/263]

virtual void vsg::ConstVisitor::apply | ( | const KeyPressEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [130/263]

virtual void vsg::ConstVisitor::apply | ( | const KeyReleaseEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [131/263]

virtual void vsg::ConstVisitor::apply | ( | const Layer & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [132/263]

virtual void vsg::ConstVisitor::apply | ( | const Light & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [133/263]

virtual void vsg::ConstVisitor::apply | ( | const LOD & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [134/263]

virtual void vsg::ConstVisitor::apply | ( | const LookAt & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [135/263]

virtual void vsg::ConstVisitor::apply | ( | const LookDirection & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [136/263]

virtual void vsg::ConstVisitor::apply | ( | const mat2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [137/263]

virtual void vsg::ConstVisitor::apply | ( | const mat3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [138/263]

virtual void vsg::ConstVisitor::apply | ( | const mat4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [139/263]

virtual void vsg::ConstVisitor::apply | ( | const mat4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [140/263]

virtual void vsg::ConstVisitor::apply | ( | const MatrixTransform & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [141/263]

virtual void vsg::ConstVisitor::apply | ( | const MipmapLayout & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [142/263]

virtual void vsg::ConstVisitor::apply | ( | const MorphSampler & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [143/263]

virtual void vsg::ConstVisitor::apply | ( | const MoveEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [144/263]

virtual void vsg::ConstVisitor::apply | ( | const MultisampleState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [145/263]

virtual void vsg::ConstVisitor::apply | ( | const Node & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [146/263]

virtual void vsg::ConstVisitor::apply | ( | const Object & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [147/263]

virtual void vsg::ConstVisitor::apply | ( | const Objects & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [148/263]

virtual void vsg::ConstVisitor::apply | ( | const Orthographic & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [149/263]

virtual void vsg::ConstVisitor::apply | ( | const PagedLOD & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [150/263]

virtual void vsg::ConstVisitor::apply | ( | const Perspective & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [151/263]

virtual void vsg::ConstVisitor::apply | ( | const PointerEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [152/263]

virtual void vsg::ConstVisitor::apply | ( | const PointLight & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [153/263]

virtual void vsg::ConstVisitor::apply | ( | const ProjectionMatrix & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [154/263]

virtual void vsg::ConstVisitor::apply | ( | const QuadGroup & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [155/263]

virtual void vsg::ConstVisitor::apply | ( | const QueryPool & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [156/263]

virtual void vsg::ConstVisitor::apply | ( | const RasterizationState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [157/263]

virtual void vsg::ConstVisitor::apply | ( | const RayTracingPipeline & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [158/263]

virtual void vsg::ConstVisitor::apply | ( | const RegionOfInterest & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [159/263]

virtual void vsg::ConstVisitor::apply | ( | const RelativeProjection & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [160/263]

virtual void vsg::ConstVisitor::apply | ( | const RelativeViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [161/263]

virtual void vsg::ConstVisitor::apply | ( | const RenderGraph & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [162/263]

virtual void vsg::ConstVisitor::apply | ( | const RenderPass & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [163/263]

virtual void vsg::ConstVisitor::apply | ( | const ResetQueryPool & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [164/263]

virtual void vsg::ConstVisitor::apply | ( | const ResourceHints & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [165/263]

virtual void vsg::ConstVisitor::apply | ( | const ScrollWheelEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [166/263]

virtual void vsg::ConstVisitor::apply | ( | const SecondaryCommandGraph & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [167/263]

virtual void vsg::ConstVisitor::apply | ( | const ShaderCompileSettings & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [168/263]

virtual void vsg::ConstVisitor::apply | ( | const ShaderStage & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [169/263]

virtual void vsg::ConstVisitor::apply | ( | const shortArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [170/263]

virtual void vsg::ConstVisitor::apply | ( | const shortArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [171/263]

virtual void vsg::ConstVisitor::apply | ( | const shortArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [172/263]

virtual void vsg::ConstVisitor::apply | ( | const SpotLight & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [173/263]

virtual void vsg::ConstVisitor::apply | ( | const StateCommand & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [174/263]

virtual void vsg::ConstVisitor::apply | ( | const StateGroup & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [175/263]

virtual void vsg::ConstVisitor::apply | ( | const StateSwitch & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [176/263]

virtual void vsg::ConstVisitor::apply | ( | const stringArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [177/263]

virtual void vsg::ConstVisitor::apply | ( | const stringValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [178/263]

virtual void vsg::ConstVisitor::apply | ( | const svec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [179/263]

virtual void vsg::ConstVisitor::apply | ( | const svec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [180/263]

virtual void vsg::ConstVisitor::apply | ( | const svec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [181/263]

virtual void vsg::ConstVisitor::apply | ( | const svec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [182/263]

virtual void vsg::ConstVisitor::apply | ( | const svec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [183/263]

virtual void vsg::ConstVisitor::apply | ( | const svec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [184/263]

virtual void vsg::ConstVisitor::apply | ( | const svec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [185/263]

virtual void vsg::ConstVisitor::apply | ( | const svec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [186/263]

virtual void vsg::ConstVisitor::apply | ( | const svec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [187/263]

virtual void vsg::ConstVisitor::apply | ( | const Switch & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [188/263]

virtual void vsg::ConstVisitor::apply | ( | const TerminateEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [189/263]

virtual void vsg::ConstVisitor::apply | ( | const TessellationState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [190/263]

virtual void vsg::ConstVisitor::apply | ( | const Text & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [191/263]

virtual void vsg::ConstVisitor::apply | ( | const TextGroup & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [192/263]

virtual void vsg::ConstVisitor::apply | ( | const TextLayout & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [193/263]

virtual void vsg::ConstVisitor::apply | ( | const TextTechnique & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [194/263]

virtual void vsg::ConstVisitor::apply | ( | const TouchDownEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [195/263]

virtual void vsg::ConstVisitor::apply | ( | const TouchEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [196/263]

virtual void vsg::ConstVisitor::apply | ( | const TouchMoveEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [197/263]

virtual void vsg::ConstVisitor::apply | ( | const TouchUpEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [198/263]

virtual void vsg::ConstVisitor::apply | ( | const TrackingViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [199/263]

virtual void vsg::ConstVisitor::apply | ( | const Transform & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [200/263]

virtual void vsg::ConstVisitor::apply | ( | const TransformSampler & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [201/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [202/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [203/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [204/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [205/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [206/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [207/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [208/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [209/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [210/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [211/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [212/263]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [213/263]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [214/263]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [215/263]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [216/263]

virtual void vsg::ConstVisitor::apply | ( | const UIEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [217/263]

virtual void vsg::ConstVisitor::apply | ( | const uintArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [218/263]

virtual void vsg::ConstVisitor::apply | ( | const uintArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [219/263]

virtual void vsg::ConstVisitor::apply | ( | const uintArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [220/263]

virtual void vsg::ConstVisitor::apply | ( | const uintValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [221/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [222/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [223/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [224/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [225/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [226/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [227/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [228/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [229/263]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [230/263]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [231/263]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [232/263]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [233/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [234/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [235/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [236/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [237/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [238/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [239/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [240/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [241/263]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [242/263]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [243/263]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [244/263]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [245/263]

virtual void vsg::ConstVisitor::apply | ( | const vec2Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [246/263]

void vsg::ArrayState::apply | ( | const vec3Array & | array | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [247/263]

virtual void vsg::ConstVisitor::apply | ( | const vec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [248/263]

virtual void vsg::ConstVisitor::apply | ( | const vec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [249/263]

virtual void vsg::ConstVisitor::apply | ( | const vec3Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [250/263]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [251/263]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [252/263]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [253/263]

virtual void vsg::ConstVisitor::apply | ( | const vec4Value & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [254/263]

void vsg::ArrayState::apply | ( | const VertexDraw & | vid | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [255/263]

void vsg::ArrayState::apply | ( | const VertexIndexDraw & | vid | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [256/263]

void vsg::TranslationRotationScaleArrayState::apply | ( | const VertexInputState & | vas | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [257/263]

virtual void vsg::ConstVisitor::apply | ( | const View & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [258/263]

virtual void vsg::ConstVisitor::apply | ( | const Viewer & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [259/263]

virtual void vsg::ConstVisitor::apply | ( | const ViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [260/263]

virtual void vsg::ConstVisitor::apply | ( | const ViewportState & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [261/263]

virtual void vsg::ConstVisitor::apply | ( | const WindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [262/263]

virtual void vsg::ConstVisitor::apply | ( | const WriteTimestamp & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ apply() [263/263]

virtual void vsg::ConstVisitor::apply | ( | const wstringValue & |  | ) |
| virtual

Reimplemented from vsg::ArrayState.

## ◆ cloneArrayState() [1/2]

ref_ptr< ArrayState > vsg::TranslationRotationScaleArrayState::cloneArrayState | ( |  | ) |
| overridevirtual

clone self

Reimplemented from vsg::ArrayState.

## ◆ cloneArrayState() [2/2]

ref_ptr< ArrayState > vsg::TranslationRotationScaleArrayState::cloneArrayState | ( | ref_ptr< ArrayState > | arrayState | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

## ◆ vertexArray()

ref_ptr< const vec3Array > vsg::TranslationRotationScaleArrayState::vertexArray | ( | uint32_t | instanceIndex | ) |
| overridevirtual

Reimplemented from vsg::ArrayState.

The documentation for this class was generated from the following file:

- include/vsg/state/ArrayState.h